Index: aclocal/canonical-host.m4
===================================================================
--- aclocal/canonical-host.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/canonical-host.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,29 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_CANONICAL_HOST,
+[dnl
+AC_REQUIRE([AC_CANONICAL_HOST])
+RTEMS_HOST=$host_os
+changequote(,)dnl
+case "${target}" in
+  # hpux unix port should go here
+  i[3456]86-go32-rtems*)
+	rtems_bsp="go32 go32_p5"
+       	skip_startfiles="yes"
+	;;
+  i[3456]86-pc-linux*)         # unix "simulator" port
+        RTEMS_HOST=Linux
+	;;
+  i[3456]86-*freebsd2*) # unix "simulator" port
+        RTEMS_HOST=FreeBSD
+	;;
+  sparc-sun-solaris*)             # unix "simulator" port
+        RTEMS_HOST=Solaris
+	;;
+  *) 
+	;;
+esac
+changequote([,])dnl
+AC_SUBST(RTEMS_HOST)
+])dnl
+
Index: aclocal/check-cpu.m4
===================================================================
--- aclocal/check-cpu.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/check-cpu.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,16 @@
+dnl $Id$
+
+dnl check if RTEMS support a cpu
+AC_DEFUN(RTEMS_CHECK_CPU,
+[dnl
+AC_REQUIRE([RTEMS_TOP])
+AC_REQUIRE([RTEMS_CANONICAL_TARGET_CPU])
+# Is this a supported CPU?
+AC_MSG_CHECKING([if cpu $target_cpu is supported])
+if test -d "$srcdir/$RTEMS_TOPdir/c/src/exec/score/cpu/$target_cpu"; then
+  AC_MSG_RESULT(yes)
+else
+  AC_MSG_ERROR(no)
+fi
+])dnl
+
Index: aclocal/enable-bare.m4
===================================================================
--- aclocal/enable-bare.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-bare.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,21 @@
+AC_DEFUN(RTEMS_ENABLE_BARE,
+[
+AC_ARG_ENABLE(bare-cpu-cflags,
+[  --enable-bare-cpu-cflags             specify a particular cpu cflag]
+[                                       (bare bsp specific)],
+[case "${enableval}" in
+  no) BARE_CPU_CFLAGS="" ;;
+  *)    BARE_CPU_CFLAGS="${enableval}" ;;
+esac],
+[BARE_CPU_CFLAGS=""])
+
+AC_ARG_ENABLE(bare-cpu-model,
+[  --enable-bare-cpu-model              specify a particular cpu model]
+[                                       (bare bsp specific)],
+[case "${enableval}" in
+  no)   BARE_CPU_MODEL="" ;;
+  *)    BARE_CPU_MODEL="${enableval}" ;;
+esac],
+[BARE_CPU_MODEL=""])
+])
+
Index: aclocal/enable-cxx.m4
===================================================================
--- aclocal/enable-cxx.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-cxx.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,13 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_ENABLE_CXX,
+[
+AC_ARG_ENABLE(cxx,
+[  --enable-cxx                         enable C++ support,]
+[                                       and build the rtems++ library],
+[case "${enableval}" in
+  yes) RTEMS_HAS_CPLUSPLUS=yes ;;
+  no) RTEMS_HAS_CPLUSPLUS=no   ;;
+  *)  AC_MSG_ERROR(bad value ${enableval} for enable-cxx option) ;;
+esac], [RTEMS_HAS_CPLUSPLUS=no])
+])
Index: aclocal/enable-gcc28.m4
===================================================================
--- aclocal/enable-gcc28.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-gcc28.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,12 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_ENABLE_GCC28,
+[
+AC_ARG_ENABLE(gcc28,
+[  --enable-gcc28                       enable use of gcc 2.8.x features],
+[case "${enableval}" in
+  yes) RTEMS_USE_GCC272=no ;;
+  no) RTEMS_USE_GCC272=yes ;;
+  *)  AC_MSG_ERROR(bad value ${enableval} for gcc-28 option) ;;
+esac],[RTEMS_USE_GCC272=no])
+])
Index: aclocal/enable-gmake-print.m4
===================================================================
--- aclocal/enable-gmake-print.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-gmake-print.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,15 @@
+dnl $Id$
+dnl
+dnl Note: This option is considered obsolete
+
+AC_DEFUN(RTEMS_ENABLE_GMAKE_PRINT,
+[
+AC_ARG_ENABLE(gmake-print-directory,
+[  --enable-gmake-print-directory       enable GNU Make's print directory],
+[case "${enableval}" in 
+  yes) RTEMS_USE_OWN_PDIR=no ;;
+  no) RTEMS_USE_OWN_PDIR=yes ;;
+  *)  AC_MSG_ERROR(bad value ${enableval} for gmake-print-directory option)
+;;
+esac],[RTEMS_USE_OWN_PDIR=yes])
+])
Index: aclocal/enable-hwapi.m4
===================================================================
--- aclocal/enable-hwapi.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-hwapi.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,14 @@
+dnl $Id$
+dnl
+dnl FIXME: this needs to be reworked
+
+AC_DEFUN(RTEMS_ENABLE_HWAPI,
+[dnl
+AC_ARG_ENABLE(hwapi, \
+[  --enable-hwapi                       enable hardware API library],
+[case "${enableval}" in
+    yes) RTEMS_HAS_HWAPI=yes ;;
+    no)  RTEMS_HAS_HWAPI=no ;;
+    *)  AC_MSG_ERROR(bad value ${enableval} for hwapi option) ;;
+  esac],[RTEMS_HAS_HWAPI=no])
+])dnl
Index: aclocal/enable-inlines.m4
===================================================================
--- aclocal/enable-inlines.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-inlines.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,12 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_ENABLE_INLINES,
+[AC_ARG_ENABLE(rtems-inlines,
+[  --enable-rtems-inlines               enable RTEMS inline functions]
+[                                       (use macros)],
+[case "${enableval}" in
+  yes) RTEMS_USE_MACROS=no ;;
+  no) RTEMS_USE_MACROS=yes ;;
+  *)  AC_MSG_ERROR(bad value ${enableval} for disable-rtems-inlines option) ;;
+esac],[RTEMS_USE_MACROS=no])
+])
Index: aclocal/enable-libcdir.m4
===================================================================
--- aclocal/enable-libcdir.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-libcdir.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,9 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_ENABLE_LIBCDIR,
+[
+AC_ARG_ENABLE(libcdir,
+[  --enable-libcdir=directory           set the directory for the C library],
+[ RTEMS_LIBC_DIR="${enableval}" ; \
+test -d ${enableval} || AC_MSG_ERROR("$enableval is not a directory" ) ] )
+])
Index: aclocal/enable-multiprocessing.m4
===================================================================
--- aclocal/enable-multiprocessing.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-multiprocessing.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,12 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_ENABLE_MULTIPROCESSING,
+[
+AC_ARG_ENABLE(multiprocessing,
+[  --enable-multiprocessing             enable multiprocessing interface],
+[case "${enableval}" in 
+  yes) RTEMS_HAS_MULTIPROCESSING=yes ;;
+  no) RTEMS_HAS_MULTIPROCESSING=no ;;
+  *)  AC_MSG_ERROR(bad value ${enableval} for enable-multiprocessing option) ;;
+esac],[RTEMS_HAS_MULTIPROCESSING=no])
+])
Index: aclocal/enable-networking.m4
===================================================================
--- aclocal/enable-networking.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-networking.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,12 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_ENABLE_NETWORKING,
+[
+AC_ARG_ENABLE(networking,
+[  --enable-networking                  enable TCP/IP stack],
+[case "${enableval}" in
+  yes) RTEMS_HAS_NETWORKING=yes ;;
+  no) RTEMS_HAS_NETWORKING=no ;;
+  *)  AC_MSG_ERROR(bad value ${enableval} for enable-networking option) ;;
+esac],[RTEMS_HAS_NETWORKING=yes])
+])
Index: aclocal/enable-posix.m4
===================================================================
--- aclocal/enable-posix.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-posix.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,36 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_ENABLE_POSIX,
+[
+AC_ARG_ENABLE(posix,
+[  --enable-posix                       enable posix interface],
+[case "${enableval}" in 
+  yes) RTEMS_HAS_POSIX_API=yes ;;
+  no) RTEMS_HAS_POSIX_API=no ;;
+  *)  AC_MSG_ERROR(bad value ${enableval} for enable-posix option) ;;
+esac],[RTEMS_HAS_POSIX_API=yes]) 
+
+changequote(,)dnl
+case "${target}" in
+  # hpux unix port should go here
+  i[3456]86-go32-rtems*)
+	RTEMS_HAS_POSIX_API=no
+	;;
+  i[3456]86-pc-linux*)         # unix "simulator" port
+	RTEMS_HAS_POSIX_API=no
+	;;
+  i[3456]86-*freebsd2*) # unix "simulator" port
+	RTEMS_HAS_POSIX_API=no
+	;;
+  no_cpu-*rtems*)
+	RTEMS_HAS_POSIX_API=no
+	;;
+  sparc-sun-solaris*)             # unix "simulator" port
+	RTEMS_HAS_POSIX_API=no
+	;;
+  *) 
+	;;
+esac
+changequote([,])dnl
+AC_SUBST(RTEMS_HAS_POSIX_API)
+])
Index: aclocal/enable-rdbg.m4
===================================================================
--- aclocal/enable-rdbg.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-rdbg.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,12 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_ENABLE_RDBG,
+[
+AC_ARG_ENABLE(rdbg,
+[  --enable-rdbg                        enable remote debugger],
+[case "${enableval}" in
+  yes) RTEMS_HAS_RDBG=yes ;;
+  no) RTEMS_HAS_RDBG=no ;;
+  *)  AC_MSG_ERROR(bad value ${enableval} for enable-rdbg option) ;;
+esac],[RTEMS_HAS_RDBG=no])
+])
Index: aclocal/enable-tests.m4
===================================================================
--- aclocal/enable-tests.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/enable-tests.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,15 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_ENABLE_TESTS,
+[
+# If the tests are enabled, then find all the test suite Makefiles
+AC_MSG_CHECKING([if the test suites are enabled? ])
+tests_enabled=yes
+AC_ARG_ENABLE(tests,
+[  --enable-tests                       enable tests (default:disabled)],
+  [case "${enableval}" in
+    yes) AC_MSG_RESULT(yes) ;;
+    no)  AC_MSG_RESULT(no) ; tests_enabled=no ;;
+    *)   AC_MSG_ERROR(bad value ${enableval} for tests option) ;;
+  esac], AC_MSG_RESULT(no))
+])
Index: aclocal/rtems-top.m4
===================================================================
--- aclocal/rtems-top.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/rtems-top.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,13 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_TOP,
+[dnl
+RTEMS_TOPdir="$1";
+AC_SUBST(RTEMS_TOPdir)
+
+PROJECT_ROOT=`pwd`/$RTEMS_TOPdir;
+AC_SUBST(PROJECT_ROOT)
+
+RTEMS_ROOT='$(top_srcdir)'/$RTEMS_TOPdir;
+AC_SUBST(RTEMS_ROOT)
+])dnl
Index: aclocal/tool-paths.m4
===================================================================
--- aclocal/tool-paths.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
+++ aclocal/tool-paths.m4	(revision e619c2895b9109b5008eac9244bfb6719d39ea9b)
@@ -0,0 +1,16 @@
+AC_DEFUN(RTEMS_TOOLPATHS,
+[
+# tooldir='$(exec_prefix)/'$target_alias
+# Temporary work-around until building in source tree is supported
+tooldir='$(PROJECT_ROOT)'
+AC_SUBST(tooldir)
+
+project_includedir='$(tooldir)'/include
+AC_SUBST(project_includedir)
+
+project_libdir='$(tooldir)/lib$(MULTISUBDIR)'
+AC_SUBST(project_libdir)
+
+project_bindir='$(tooldir)/bin'
+AC_SUBST(project_bindir)
+])
